import { Neuron, ViewNerve } from '@ibiz-template/controller';
import { ChartViewController } from '../chart-view-controller';
import { ChartViewNeuron } from '../neuron/chart-view-neuron';
import { ChartNeuron } from '../neuron/chart-neuron';
/**
 * 图表视图神经系统
 *
 * @author zhanghengfeng
 * @date 2023-04-03 17:04:29
 * @export
 * @class ChartViewNerve
 * @extends {ViewNerve<ChartViewNeuron, ChartViewController>}
 */
export declare class ChartViewNerve extends ViewNerve<ChartViewNeuron, ChartViewController> {
    chart: ChartNeuron;
    protected createNeuron(): ChartViewNeuron;
    inclusive(name: string): boolean;
    connect(name: string, neuron: Neuron): void;
    destroy(): void;
}
